[SRU] queens stable releases

Bug #1818069 reported by Corey Bryant on 2019-02-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Queens
High
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
neutron-vpnaas (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
swift (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers have access to these improvements. The update contains the following package updates:

cinder 12.0.5
neutron-vpnaas 12.0.1
nova 17.0.9
swift 2.17.1

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]

Changed in cloud-archive:
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in neutron-vpnaas (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in swift (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in nova (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in swift (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Corey Bryant (corey.bryant) wrote :

These have all been uploaded to the cosmic unapproved queue and are awaiting SRU Team review: https://launchpad.net/ubuntu/bionic/+queue?queue_state=1&queue_text=

Corey Bryant (corey.bryant) wrote :

s/cosmic/bionic

Hello Corey, or anyone else affected,

Accepted neutron-vpnaas into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-vpnaas/2:12.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in neutron-vpnaas (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in cinder (Ubuntu Bionic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:12.0.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Corey, or anyone else affected,

Accepted nova into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:17.0.9-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nova (Ubuntu Bionic):
status: Triaged → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Corey, or anyone else affected,

Accepted swift into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/swift/2.17.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in swift (Ubuntu Bionic):
status: Triaged → Fix Committed
Corey Bryant (corey.bryant) wrote :

Verification completed successfully for rocky:

bionic-rocky-proposed:

======
Totals
======
Ran: 92 tests in 1101.2872 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 710.6098 sec.

cosmic-rocky-proposed:

======
Totals
======
Ran: 92 tests in 920.0920 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 421.6103 sec.

Note this was tested with tempest commit a7c4c14493d9c20fb89daa5e094d6396a6cbe80d rather than the usual master branch. tempest.api.identity.v3.test_domains.DefaultDomainTestJSON.test_default_domain_exists is currently failing on master but is unrelated to the point release.

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: added: verification-done
removed: verification-needed
Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-vpnaas into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted nova into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted swift into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-done
removed: verification-queens-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 2.17.1-0ubuntu1

---------------
swift (2.17.1-0ubuntu1) bionic; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Queens (LP: #1818069).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.

 -- Sahid Orentino Ferdjaoui <email address hidden> Wed, 06 Mar 2019 10:17:00 +0100

Changed in swift (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for swift has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:17.0.9-0ubuntu1

---------------
nova (2:17.0.9-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1818069).
  * Remove patch disk-size-live-migration-overcommit, already
    on tree.

 -- Sahid Orentino Ferdjaoui <email address hidden> Wed, 06 Mar 2019 10:30:05 +0100

Changed in nova (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:12.0.5-0ubuntu1

---------------
cinder (2:12.0.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1818069).

 -- Sahid Orentino Ferdjaoui <email address hidden> Wed, 06 Mar 2019 10:23:08 +0100

Changed in cinder (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 2:12.0.1-0ubuntu1

---------------
neutron-vpnaas (2:12.0.1-0ubuntu1) bionic; urgency=medium

  [Sahid Orentino Ferdjaoui]
  * New stable point release for OpenStack Queens (LP: #1818069).
  * d/p/0001-test-Register-L3-option-in-L3-ext-tests.patch: Cherry-picked from
    upstream stable/queens branch to register L3 opts for unit tests, enabling
    tests to pass during package build.

  [Corey Bryant]
  * d/gbp.conf: Create stable/queens branch.

 -- Sahid Orentino Ferdjaoui <email address hidden> Fri, 08 Mar 2019 16:35:30 +0100

Changed in neutron-vpnaas (Ubuntu Bionic):
status: Fix Committed → Fix Released
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package cinder - 2:12.0.5-0ubuntu1~cloud0
---------------

 cinder (2:12.0.5-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 cinder (2:12.0.5-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1818069).

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for neutron-vpnaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package neutron-vpnaas - 2:12.0.1-0ubuntu1~cloud0
---------------

 neutron-vpnaas (2:12.0.1-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-vpnaas (2:12.0.1-0ubuntu1) bionic; urgency=medium
 .
   [Sahid Orentino Ferdjaoui]
   * New stable point release for OpenStack Queens (LP: #1818069).
   * d/p/0001-test-Register-L3-option-in-L3-ext-tests.patch: Cherry-picked from
     upstream stable/queens branch to register L3 opts for unit tests, enabling
     tests to pass during package build.
 .
   [Corey Bryant]
   * d/gbp.conf: Create stable/queens branch.

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package nova - 2:17.0.9-0ubuntu1~cloud0
---------------

 nova (2:17.0.9-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 nova (2:17.0.9-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1818069).
   * Remove patch disk-size-live-migration-overcommit, already
     on tree.

Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for swift has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package swift - 2.17.1-0ubuntu1~cloud0
---------------

 swift (2.17.1-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 swift (2.17.1-0ubuntu1) bionic; urgency=medium
 .
   [ Sahid Orentino Ferdjaoui ]
   * New stable point release for OpenStack Queens (LP: #1818069).
 .
   [ Corey Bryant ]
   * d/gbp.conf: Create stable/queens branch.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers